Bug 826624 - RFE: Automatically tag content specifications based on Product / Version
RFE: Automatically tag content specifications based on Product / Version
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 11:54 EDT by Stephen Gordon
Modified: 2018-04-20 17:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2012-05-30 11:54:04 EDT
Description of problem:

To further  facilitate accurate searching and retrieval of content specifications it would be useful if the content specification was automatically tagged based on the PRODUCT and VERSION when it is uploaded to skynet. If for some reason the PRODUCT and VERSION changes then the tags would of course need to be updated.
Comment 1 Stephen Gordon 2012-05-30 12:08:47 EDT
Of course the onus here is also on us to set the product and version accurately to make this information useful...
Comment 2 Misty Stanley-Jones 2013-05-28 22:34:45 EDT
You can actually accomplish this by setting the topic-wide metadata correctly in your content spec before uploading. Does this render this bug obsolete?
Comment 3 Stephen Gordon 2013-05-28 22:44:18 EDT
(In reply to Misty Stanley-Jones from comment #2)
> You can actually accomplish this by setting the topic-wide metadata
> correctly in your content spec before uploading. Does this render this bug
> obsolete?

It's been 12 months but I believe the intent was for the metadata for these tags to be derived automatically from the product and version settings towards the top of the spec file rather than having to repeat the values again in the tag line. Note that this would (potentially) also require automatic creation of said tags if they did not already exist.
Comment 4 Lee Newson 2013-05-29 01:14:22 EDT
Hmm, I'm not sure this is the best way to go about it, especially creating the tags when they don't exist. I should also mention that while the UI doesn't support searching those fields atm, it will in the future (similar to the CLI searching).

As for the tags in the global section of the Content Spec they aren't meant to be a direct correlation to the Content Spec tags and instead are there to provide an easy way to bulk tag topics in the Content Spec (I ran into this pitfall myself recently). So perhaps what we need is a new MetaData field (or some other way) to assign Tags for the Content Spec, that doesn't influence the topics?

Note You need to log in before you can comment on or make changes to this bug.